using System.IO;
using System.Runtime.CompilerServices;
using System.Runtime.InteropServices;
using System.Text;

namespace TD.SandDock
{
	internal class b
	{
		[DllImport("uxtheme.dll", CharSet = CharSet.Auto)]
		private static extern int GetCurrentThemeName(StringBuilder A_0, int A_1, StringBuilder A_2, int A_3, StringBuilder A_4, int A_5);

		[SpecialName]
		public bool a()
		{
			string path = b();
			path = Path.GetFileName(path).ToLower();
			return path == "luna.msstyles";
		}

		[SpecialName]
		public string b()
		{
			StringBuilder stringBuilder = new StringBuilder(512);
			GetCurrentThemeName(stringBuilder, stringBuilder.Capacity, null, 0, null, 0);
			return stringBuilder.ToString();
		}

		[SpecialName]
		public string c()
		{
			StringBuilder stringBuilder = new StringBuilder(512);
			GetCurrentThemeName(null, 0, stringBuilder, stringBuilder.Capacity, null, 0);
			return stringBuilder.ToString();
		}
	}
}
